#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    char c1,c2;
    int a1,a2;
    int i;

    c1 = getchar();
    c2 = getchar();
    getchar(); //remove newline

    scanf("%i %i",&a1,&a2);

    if(!(abs(a1-a2) > 1))
    {
        if(a1>a2)
        {
            for(i=0;i<(a1+a2);i++)
            {
                if(i%2)
                    putchar(c2);
                else
                    putchar(c1);
            }
        }
        else
        {
            for(i=0;i<(a1+a2);i++)
            {
                if(i%2)
                    putchar(c1);
                else
                    putchar(c2);
            }
        }
    }
    else
        printf("nemoguce");

    return 0;
}